<?php

namespace Database\Seeders;

use App\Models\Icon;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class IconSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //

        DB::table('icons')->truncate();

        Icon::create([
            'icon' => '<svg width="35" height="35" viewBox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M29.8639 5.12791C26.5562 1.8203 22.1683 0 17.4918 0C12.8152 0 8.42728 1.8203 5.11967 5.12791C-1.27357 11.5211 -1.71754 21.7548 4.01713 28.6586C3.45476 29.7907 2.55201 31.1078 1.21269 31.7664C0.568928 32.0846 0.206348 32.7727 0.317342 33.4831C0.428336 34.1934 0.975904 34.7484 1.68626 34.8594C2.01924 34.9112 2.49282 34.963 3.06998 34.963C4.6165 34.963 6.89557 34.6004 9.22643 32.9207C11.8237 34.3192 14.6651 35 17.4844 35C22.0129 35 26.497 33.2463 29.8713 29.8721C33.1789 26.5645 34.9992 22.1765 34.9992 17.5C34.9992 12.8235 33.1715 8.43552 29.8639 5.12791ZM28.4505 28.4588C23.4558 33.4535 15.7233 34.445 9.64081 30.871C9.24123 30.6342 8.74546 30.7082 8.42728 31.0264C8.39768 31.0412 8.36808 31.0634 8.34588 31.0856C6.3406 32.6395 4.37231 32.9651 3.06998 32.9651H3.06259C4.5647 31.87 5.51185 30.2421 6.06681 28.9767C6.15561 28.7622 6.17041 28.5402 6.11861 28.333C6.09641 28.1332 6.01502 27.9334 5.87442 27.7706C0.457934 21.6512 0.739118 12.3277 6.52559 6.54123C12.571 0.495772 22.4051 0.495772 28.4431 6.54123C34.496 12.5867 34.496 22.4133 28.4505 28.4588Z" fill="#FF5C00"></path>
                    <path d="M17.492 18.7284C18.1704 18.7284 18.7203 18.1784 18.7203 17.5001C18.7203 16.8217 18.1704 16.2717 17.492 16.2717C16.8136 16.2717 16.2637 16.8217 16.2637 17.5001C16.2637 18.1784 16.8136 18.7284 17.492 18.7284Z" fill="#FF5C00"></path>
                    <path d="M23.826 18.7284C24.5044 18.7284 25.0543 18.1784 25.0543 17.5001C25.0543 16.8217 24.5044 16.2717 23.826 16.2717C23.1476 16.2717 22.5977 16.8217 22.5977 17.5001C22.5977 18.1784 23.1476 18.7284 23.826 18.7284Z" fill="#FF5C00"></path>
                    <path d="M11.158 18.7284C11.8364 18.7284 12.3863 18.1784 12.3863 17.5001C12.3863 16.8217 11.8364 16.2717 11.158 16.2717C10.4796 16.2717 9.92969 16.8217 9.92969 17.5001C9.92969 18.1784 10.4796 18.7284 11.158 18.7284Z" fill="#FF5C00"></path>
                  </svg>'
        ]);

        Icon::create([
            'icon' => '<svg width="21" height="30" viewBox="0 0 21 30" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M9.12 20.16C9.12 19.12 9.29333 18.2133 9.64 17.44C9.98667 16.6667 10.4133 15.9733 10.92 15.36C11.4533 14.7467 12.0267 14.1867 12.64 13.68C13.2533 13.1467 13.8267 12.6267 14.36 12.12C14.8933 11.5867 15.32 11.0267 15.64 10.44C15.9867 9.85333 16.16 9.17333 16.16 8.4C16.16 7.12 15.6533 6.08 14.64 5.28C13.6267 4.48 12.2267 4.08 10.44 4.08C8.84 4.08 7.45333 4.34667 6.28 4.88C5.10667 5.41333 4.10667 6.2 3.28 7.24L0.36 5.16C1.48 3.74667 2.90667 2.65333 4.64 1.88C6.37333 1.08 8.4 0.68 10.72 0.68C12.64 0.68 14.3067 0.973333 15.72 1.56C17.1333 2.12 18.2267 2.93333 19 4C19.8 5.04 20.2 6.30667 20.2 7.8C20.2 8.92 20.0267 9.88 19.68 10.68C19.3333 11.48 18.8933 12.1867 18.36 12.8C17.8267 13.4133 17.2533 13.9867 16.64 14.52C16.0533 15.0533 15.4933 15.5867 14.96 16.12C14.4267 16.6533 13.9867 17.24 13.64 17.88C13.2933 18.52 13.12 19.28 13.12 20.16H9.12ZM11.16 29.24C10.4133 29.24 9.78667 28.9867 9.28 28.48C8.8 27.9733 8.56 27.3733 8.56 26.68C8.56 25.9333 8.8 25.32 9.28 24.84C9.78667 24.36 10.4133 24.12 11.16 24.12C11.9067 24.12 12.52 24.36 13 24.84C13.48 25.32 13.72 25.9333 13.72 26.68C13.72 27.3733 13.48 27.9733 13 28.48C12.52 28.9867 11.9067 29.24 11.16 29.24Z" fill="#FF5C00"></path>
                  </svg>'
        ]);

    }
}
